probe::nfsd.proc.read
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfsd.proc.read — NFS server reading file for client

## Synopsis

    nfsd.proc.read

## Values

`client_ip`

  the ip address of client

`version`

  nfs version

`gid`

  requester's group id

`fh`

  file handle (the first part is the length of the file handle)

`vec`

  struct kvec, includes buf address in kernel address and length of each buffer

`vlen`

  read blocks

`offset`

  the offset of file

`size`

  read bytes

`uid`

  requester's user id

`count`

  read bytes

`proto`

  transfer protocol

Prev | Up | Next
probe::nfsd.proc.lookup | Home | probe::nfsd.proc.remove